;=====================================================
;
;   To learn more about how to configure Polybar
;   go to https://github.com/jaagr/polybar
;
;   The README contains alot of information
;
;=====================================================

[colors]
;background = ${xrdb:color0:#222}

;background = #ffffff
;background = #444444
background = #444444
;background = #00
;background-alt = #444
;foreground = ${xrdb:color7:#222}
;foreground = #dfdfdf
foreground = #ffffff
foreground-alt = #ffffff
;foreground-alt = #555
primary = #ffb52a
secondary = #e60053
alert = #bd2c40

[bar/example]
;monitor = ${env:MONITOR:HDMI-1}
width = 100%
height = 25
;offset-x = 41%
offset-y = 35
;border-top-size = 2
;border-left-size = 5
;border-right-size = 5
radius = 0
fixed-center = false
;radius = 15

background = ${colors.background}
foreground = ${colors.foreground}

line-size = 2
line-color = #f00

border-bottom-size = 2
;border-color = #444444
;border-bottom-color = #476930
;border-bottom-color = #444444
;border-bottom-color = #8A0303
;border-bottom-color = #20C20E
border-bottom-color = #000000
;border-color = #ff

padding-left = 0
padding-right = 0
margin-left=0

module-margin-left = 1
module-margin-right = 1

font-0 =  JetBrainsMono Nerd Font Mono:Bold:size=10;1
font-1 =  JetBrainsMono Nerd Font Mono:Bold:size=23;5
font-2 =  JetBrainsMono Nerd Font Mono:Regular:size=3;1
font-3 =  JetBrainsMono Nerd Font Mono:Bold:size=17;3.9
font-4 =  JetBrainsMono Nerd Font Mono:Bold:size=30;3.9

modules-left = logo  bspwm i3 
modules-center =  mpd
modules-right = networkspeedup networkspeeddown filesystem  xbacklight alsa  memory cpu wlan  battery temperature  date popup-calendar  powermenu

tray-position = center
tray-padding = 4
wm-restack = i3
;tray-detached = false tray-position = right 
tray-offset-x = 0 
tray-offset-y = 0 
;tray-maxsize = 16 
;override-redirect = true
;tray-transparent = true
tray-background = #0063ff

;wm-restack = bspwm
;wm-restack = i3

;override-redirect = true

;scroll-up = bspwm-desknext
;scroll-down = bspwm-deskprev

;scroll-up = i3wm-wsnext
;scroll-down = i3wm-wsprev

cursor-click = pointer
cursor-scroll = ns-resize


[module/space]
type = custom/script
exec ="python3 /home/user/Downloads/polybar-animations-master/space-ship2/space-ship2.py"
;exec =ls -l
interval = 1             ;or whatever interval you wish
label = %output%
label-font = 2

[module/xwindow]
type = internal/xwindow
label = %title:0:30:...%

[module/xkeyboard]
type = internal/xkeyboard
blacklist-0 = num lock

format-prefix = " "
format-prefix-foreground = ${colors.foreground-alt}
;format-prefix-background = ${colors.secondary}
;format-prefix-underline = ${colors.secondary}

label-layout = %layout%
;label-layout-underline = ${colors.secondary}
;label-layout-background = ${colors.secondary}
label-indicator-padding = 2
label-indicator-margin = 1
;label-indicator-background = ${colors.secondary}
;label-indicator-underline = ${colors.secondary}

[module/filesystem]
type = internal/fs
interval = 25

mount-0 = /

label-mounted = %{F#0a81f5}%mountpoint%%{F-}: %percentage_used%%
label-unmounted = %mountpoint% not mounted
label-unmounted-foreground = ${colors.foreground-alt}
label-mounted-padding = 0
;label-mounted-background = #666666
label-unmounted-padding = 2

[module/bspwm]
type = internal/bspwm

label-focused = %index%
label-focused-background = ${colors.background-alt}
;label-focused-underline= ${colors.primary}
label-focused-padding = 2

label-occupied = %index%
label-occupied-padding = 2

label-urgent = %index%!
label-urgent-background = ${colors.alert}
label-urgent-padding = 2

label-empty = %index%
label-empty-foreground = ${colors.foreground-alt}
label-empty-padding = 2

[colorsa]
black = ddd
white = #fff
blue = #00f
green = #0f0

[module/i3]
type = internal/i3
format = <label-state> <label-mode>
index-sort = true
wrapping-scroll = false

; Only show workspaces on the same output as the bar
;pin-workspaces = true

label-mode-padding = 1
label-mode-foreground = #000
label-mode-background = ${colors.primary}

; focused = Active workspace on focused monitor
label-focused = %index%
;label-focused-background = #555
;label-focused-background = #ffffff
;label-focused-background = #666666
;label-focused-background = #8A0303
label-focused-background = #666666
;label-focused-background = #20C20E
;label-focused-underline = #ffffff
label-focused-padding = 2
label-focused-prefix ="A"
label-focused-foreground= #ffffff
;label-focused-foreground= #1fff0f
;label-focused-foreground= #000
;label-focused-padding = ${module/bspwm.label-focused-padding}

test = a
;date=${env:DATE}
date="totodd"
; unfocused = Inactive workspace on any monitor
label-unfocused = %index%
label-unfocused-background = #444444
label-unfocused-padding = ${module/bspwm.label-occupied-padding}
label-unfocused-prefix = A

; visible = Active workspace on unfocused monitor
label-visible = %index%
label-visible-background = ${self.label-focused-background}
;label-visible-underline = ${self.label-focused-underline}
label-visible-padding = ${self.label-focused-padding}

; urgent = Workspace with urgency hint set
label-urgent = %index%
label-urgent-background = ${module/bspwm.label-urgent-background}
label-urgent-padding = ${module/bspwm.label-urgent-padding}


[module/networkspeedup]
type = internal/network
interface=eth0
label-connected = %upspeed:7%
format-connected = <label-connected>
;format-connected-background = #666666
format-connected-prefix = 
format-connected-padding = 0
;format-connected-prefix = ""
format-connected-font = 4
;format-connected-prefix-foreground = #FE522C

[module/networkspeeddown]
type = internal/network
interface=eth0
label-connected = %downspeed:7%
;format-connected-background = #666666
format-connected-padding = 0
format-connected = <label-connected>
format-connected-prefix = 
format-connected-font = 4
;format-connected-prefix-foreground = #32CD32



[module/cpu]
type = internal/cpu
interval = 2
format-prefix = 礪
;format-prefix-foreground = ${colors.foreground-alt}
;format-underline = #f90000
;format-background = #666666
format-padding = 0
label-padding = 1
label = %percentage:2%%
format-font = 4

[module/memory]
type = internal/memory
interval = 2
format-prefix = 
format-prefix-foreground = ${colors.foreground-alt}
;format-background = #666666
format-padding = 0
format-font = 4
label = %percentage_used%%
label-padding = 1

[module/wlan]
type = internal/network
interface = net1
interval = 3.0

format-connected = <ramp-signal> <label-connected>
format-connected-underline = #9f78e1
;format-connected-background = #9f78e1
label-connected = %essid%

format-disconnected =
;format-disconnected = <label-disconnected>
;format-disconnected-underline = ${self.format-connected-underline}
;label-disconnected = %ifname% disconnected
;label-disconnected-foreground = ${colors.foreground-alt}

ramp-signal-0 = 
ramp-signal-1 = 
ramp-signal-2 = 
ramp-signal-3 = 
ramp-signal-4 = 
ramp-signal-foreground = ${colors.foreground-alt}

[module/eth]
type = internal/network
interface = eth0
interval = 3.0

;format-connected-background = #55aa55
format-connected-underline = #55aa55
format-connected-padding = 2
format-connected-prefix = " "
format-connected-prefix-foreground = ${colors.foreground-alt}
label-connected = %local_ip%

format-disconnected =
;format-disconnected = <label-disconnected>
;format-disconnected-underline = ${self.format-connected-underline}
;label-disconnected = %ifname% disconnected
;label-disconnected-foreground = ${colors.foreground-alt}

[module/popup-calendar]
type = custom/text
;exec = /usr/local/bin/polybar-calendar.sh
content = "" 
;interval = 5
click-left = ~/.config/polybar/polybar-calendar.sh --popup &
content-font=4

[module/date]
type = internal/date
interval = 5

date =" %d %a %b"
date-alt =" %d/%m/%Y"

time = %H:%M
time-alt = %H:%M:%S

format-prefix = 
format-prefix-foreground = ${colors.foreground-alt}
;format-underline = #0a6cf5
;format-overline = #0a6cf5
;format-background = #666666
format-padding=1
format-font=4 
;label-mode-background = #0a6cf5
label = %date% %time%

[module/alsa]
type = internal/alsa
label-muted = 
label-muted-font = 4
label-padding = 2
format-prefix= "T"
format-padding = 2
;label-background= #666666
format-muted-background= #666666
format-muted-padding= 1
; Soundcard to be used
; Usually in the format hw:# where # is the card number
; You can find the different card numbers in `/proc/asound/cards`
master-soundcard = default
speaker-soundcard = default
headphone-soundcard = default

; Name of the master, speaker and headphone mixers
; Use the following command to list available mixer controls:
; $ amixer scontrols | sed -nr "s/.*'([[:alnum:]]+)'.*/\1/p"
; If master, speaker or headphone-soundcard isn't the default, 
; use `amixer -c # scontrols` instead where # is the number 
; of the master, speaker or headphone soundcard respectively
;
; Default: Master
master-mixer = Master

; Optionally define speaker and headphone mixers
; Default: none
speaker-mixer = Speaker
; Default: none
headphone-mixer = Headphone

; NOTE: This is required if headphone_mixer is defined
; Use the following command to list available device controls
; $ amixer controls | sed -r "/CARD/\!d; s/.*=([0-9]+).*name='([^']+)'.*/printf '%3.0f: %s\n' '\1' '\2'/e" | sort
; You may also need to use `amixer -c # controls` as above for the mixer names
; Default: none
headphone-id = 9

; Use volume mapping (similar to amixer -M and alsamixer), where the increase in volume is linear to the ear
; Default: false
mapped = true

; Interval for volume increase/decrease (in percent points)
; Default: 5
interval = 5
ramp-speaker-0 = T
ramp-speaker-1 = T
ramp-speaker-background= #666666

[module/volume]
type = internal/volume

format-volume = <label-volume> <bar-volume>
label-volume = 
label-volume-foreground = ${root.foreground}

;format-muted-prefix = " "
format-muted-foreground = ${colors.foreground-alt}
label-muted = 
;label-muted-font = 2

bar-volume-width = 10
bar-volume-foreground-0 = #55aa55
bar-volume-foreground-1 = #55aa55
bar-volume-foreground-2 = #55aa55
bar-volume-foreground-3 = #55aa55
bar-volume-foreground-4 = #55aa55
bar-volume-foreground-5 = #f5a70a
bar-volume-foreground-6 = #ff5555
bar-volume-gradient = false
bar-volume-indicator = 
bar-volume-indicator-font = 6
bar-volume-fill = 
bar-volume-fill-font = 6
bar-volume-empty = 
bar-volume-empty-font = 6
bar-volume-empty-foreground = ${colors.foreground-alt}

[module/battery]
type = internal/battery
battery = BAT0
adapter = AC
full-at = 98

format-charging = <animation-charging> <label-charging>
;format-charging-underline = #A60067
;format-charging-overline = #A60067
format-charging-padding = 1
format-charging-font = 2
format-discharging = <ramp-capacity> <label-discharging>
format-discharging-underline = ${self.format-charging-underline}
format-discharging-padding = 1
format-discharging-background = #444444
format-full-prefix = 
format-full-prefix-foreground = ${colors.foreground-alt}
;format-full-underline = ${self.format-charging-underline}
;format-full-overline = ${self.format-charging-overline}
format-full-padding = 1
format-full-font = 2
;format-charging-background = #666666
;format-full-background = #666666

ramp-capacity-0 = 
ramp-capacity-0-foreground = #FF0000
ramp-capacity-1 = 
ramp-capacity-1-foreground = #B0FC38
ramp-capacity-2 = 
ramp-capacity-2-foreground = #3CB043
ramp-capacity-foreground = ${colors.foreground-alt}

animation-charging-0 = 
animation-charging-1 = 
animation-charging-2 = 
;animation-charging-foreground = ${colors.foreground-alt}
animation-charging-foreground = #1E90FF
animation-charging-framerate = 750
ramp-capacity-font = 2
animation-charging-font = 2

[module/temperature]
type = internal/temperature
thermal-zone = 0
warn-temperature = 60

format =  <ramp> <label> 
;format-background = #666666
format-padding = 0
;format-underline = #f50a4d
;format-overline = #f50a4d
format-warn = <ramp> <label-warn>
format-warn-underline = ${self.format-underline}

label = %temperature%
label-warn = %temperature%
label-warn-foreground = ${colors.secondary}

ramp-0 = 
ramp-1 = 
ramp-2 = 
ramp-foreground = ${colors.foreground-alt}
ramp-font = 4


[module/logo]
type = custom/text
format-padding = 1

;format-foreground = #f50a4d
;content-foreground = #0a6cf5

label-font=font-4
content = 
;content = 
;content = 
;content = 
;content = 

content-font = 4
content-padding = 1
;content-background= #666666 
;content-foreground = #ff0 
content-foreground = #ffd064
;content-foreground = #1fff0f
;content-foreground = #ffffff
;content-foreground = #8A0303
;content-underline = #388143
;content-overline = #388143










[module/round-right]
type = custom/text
format-padding = 0

;format-foreground = #f50a4d
;content-foreground = #0a6cf5

label-font=font-1
content = 
#content = 

content-font = 4
;content-foreground = #dfdfdf
content-foreground = #0a6cf5

[module/powermenu]
type = custom/menu

expand-right = true

format-spacing = 1

label-open = 
label-open-foreground = #ffffff
label-open-backgound = #ffffff
label-close =  cancel
label-close-foreground = ${colors.secondary}
label-separator = |
label-separator-foreground = ${colors.foreground-alt}

menu-0-0 = reboot
menu-0-0-exec = menu-open-1
menu-0-1 = power off
menu-0-1-exec = menu-open-2

menu-1-0 = cancel
menu-1-0-exec = menu-open-0
menu-1-1 = reboot
menu-1-1-exec = sudo reboot

menu-2-0 = power off
menu-2-0-exec = sudo poweroff
menu-2-1 = cancel
menu-2-1-exec = menu-open-0

[settings]
screenchange-reload = true
;compositing-background = xor
;compositing-background = screen
;compositing-foreground = source
;compositing-border = over

[global/wm]
margin-top = 0
margin-bottom = 0

; vim:ft=dosini
